summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Sarnie <sarnex@gentoo.org>2019-03-02 16:57:30 -0500
committerNick Sarnie <sarnex@gentoo.org>2019-03-02 17:10:11 -0500
commit135704a8afca153fbfffb6cdf6374aa7d90fc651 (patch)
tree0ec0ca3ddfef1cdc3bdcddeeaacdde86ddc0513a
parentdev-java/jvyamlb: clean up old. (diff)
downloadgentoo-135704a8afca153fbfffb6cdf6374aa7d90fc651.tar.gz
gentoo-135704a8afca153fbfffb6cdf6374aa7d90fc651.tar.bz2
gentoo-135704a8afca153fbfffb6cdf6374aa7d90fc651.zip
dev-util/spirv-tools: Bump to v2019.1
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
-rw-r--r--dev-util/spirv-tools/Manifest1
-rw-r--r--dev-util/spirv-tools/spirv-tools-2019.1.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-util/spirv-tools/Manifest b/dev-util/spirv-tools/Manifest
index eafd1165d40..1c3cbefec4f 100644
--- a/dev-util/spirv-tools/Manifest
+++ b/dev-util/spirv-tools/Manifest
@@ -1,2 +1,3 @@
DIST spirv-tools-2018.4.tar.gz 1327904 BLAKE2B 1ed01edf0dd5e8c3ac0d1a866d27f2e2ef377e9c082579291f8e755592ff3ea4f44a597e3e7694977500b9434889b0f741e03d566e777bb0f9af5e2e59374d61 SHA512 6b982efb30529e7f7776d7702f563bb4f874b9be3a7b0d838d77a15813f4177da99c152f40f11854fc3d60791ecf4026e006ff25a216bb44194dfd921c50920d
DIST spirv-tools-2018.5.tar.gz 1354299 BLAKE2B a2f74ac52cbcb3881009274c41cf8be48ae91d2d62d9e687d28719e65bb7cd5c0a5104a967e995fc5da066c1e6a278df4bf285fa9bf617660072bd0ee535b9bb SHA512 068a39e15111f24ad2a6b27e7ada786b3124b239aa8b13e187a4d512044db57a8e6a0fccadd0451155e1f57c96c8dec91a2338996c59fc883007cf7be07f2cad
+DIST spirv-tools-2019.1.tar.gz 1493682 BLAKE2B 823b6435fd59a732075073bcecfbfa3081248a2fff21a1375502b812b30a1f988bb32afc41d2f6a6244b4bf37aa9fee2fab710f2cf6d051170e3622d8adf632f SHA512 c528046e1495d58ff0aca773b3b8fa091f943414853cf0344d8e690d868e0df5b1aa66bddbab245c5e52cc2fbaf0a2032a3be518fb8ada7f89b8023fa89776b4
diff --git a/dev-util/spirv-tools/spirv-tools-2019.1.ebuild b/dev-util/spirv-tools/spirv-tools-2019.1.ebuild
new file mode 100644
index 00000000000..bbe6b80e4af
--- /dev/null
+++ b/dev-util/spirv-tools/spirv-tools-2019.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-multilib cmake-utils
+
+DESCRIPTION="Provides an API and commands for processing SPIR-V modules"
+HOMEPAGE="https://github.com/KhronosGroup/SPIRV-Tools"
+SRC_URI="https://github.com/KhronosGroup/SPIRV-Tools/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Tests fail upon finding symbols that do not match a regular expression
+# in the generated library. Easily hit with non-standard compiler flags
+RESTRICT="test"
+
+RDEPEND=""
+DEPEND=">=dev-util/spirv-headers-1.3.4_pre20180917"
+EGIT_COMMIT="2297d4a3dfcbfd2a8b4312fab055ae26e3289fd3"
+S="${WORKDIR}/SPIRV-Tools-${PV}"
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ "-DSPIRV-Headers_SOURCE_DIR=/usr/"
+ "-DSPIRV_WERROR=OFF"
+ )
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ cmake-utils_src_install
+ echo "${EGIT_COMMIT}" > "${PN}-commit.h" || die
+ insinto /usr/include/"${PN}"
+ doins "${PN}-commit.h"
+}